﻿/* Generated with Author-it 6.2.1.28268  3/26/2015 9:14:14 AM */
Page=new Array();Page[0]=new Array("The VCP Provider Reference Guide provides a comprehensive listing of all business objects and associated fields available with the VCP provider delivered for Primavera Gateway. Review the list of supported business objects to determine the data that needs to be supported for integration in Primavera Gateway.","To view these business objects in the Primavera Gateway user interface, ensure that you have installed the VCP provider and then log in to Gateway and select the Data Dictionary menu.","Primavera Gateway supports data integration between Oracle Value Chain Planning and P6 EPPM applications.","Overview","10290632.htm");
Page[1]=new Array("Primavera Gateway supports the following basic flow types:","Import Project Data","Define project data flows to import project data from VCP to P6 EPPM application.","Export Project Data","Define project data flows to export project data from P6 EPPM application to Oracle VCP application.","Flow Types Supported in the VCP Provider","10290633.htm");
Page[2]=new Array("The following Value Chain Planning business objects are available in the Data Dictionary menu of the Gateway user interface. Select a specific business object to review a detailed list of fields supported for that business object.","Business Object","Description","Project","A project is a temporary endeavor undertaken to create a unique product, service, or result.","Task","A Task is a unit of work performed during the course of a project.","ParentTask","VCP Provider Work Breakdown Structure object.","Item","VCP Material Items across all projects.","ItemAssignment","VCP Item Assignments track the demand and supply of the items that are performing various tasks.","The following section lists fields available in each business object.","Value Chain Planning Business Objects","10290614.htm");
Page[3]=new Array("Description: The item object is used to store material items across all projects.","Field","Description","ITEM_ID","The VCP item ID of the supply item.","ITEM_NAME","The VCP item name of the supply item.","ITEM_NUMBER","The VCP item number of the supply item.","ITEM_TYPE","The VCP item type that uniquely identifies the resource. Material type only for VCP.","PARENT_ITEM_ID","Parent item ID if any.","Item","10290615.htm");
Page[4]=new Array("Description: The itemAssignment object is used to track the demand and supply of the items that are performing various tasks.","Field","Description","DEMAND_PEGGED_AVL_DATE","Demand pegged available date against original demand.","DEMAND_PEGGED_ORDER_NUMBER","Demand pegged order number against original demand.","DEMAND_PEGGED_ORDER_TYPE","Demand pegged order type against original demand.","IAS_SOURCE_VCP_ID","VCP P6 resource assignment ID.","ITEM_ASSIGNMENT_ID","The unique identifier of the assignment.","ITEM_ID","The unique identifier the resource.","ITEM_INVENTORY_ORGNAME","VCP resource assignment inventory organization name.","ITEM_NAME","The name that uniquely identifies the resource.","ITEM_NUMBER","The name that uniquely identifies the resource.","ITEM_SELECTION","VCP Resource Assignment Selection YES/NO","ITEM_SELECTION_CODE","VCP Resource Assignment Selection Code.","ITEM_TYPE","The type that uniquely identifies the resource.","PARENT_TASK_ID","The unique identifier of the task.","PLANNED_UNITS","Planned units of this resource assignments.","PROJECT_ID","The unique identifier of the associated project.","SUGGESTED_DUE_DATE","The unique identifier of the associated ParentTask.","SUPPLY_ACTUAL_START_DATE","The actual date on which the supply actually started.","SUPPLY_DOCK_DATE","The date on which a supply order arrives at the receiving dock. This applies to purchase orders and inter-organization shipments.","SUPPLY_DUE_DATE","The due date supply information.","SUPPLY_ITEM_ID","The VCP Item ID of the supply item.","SUPPLY_ITEM_NAME","The name of the supply item.","SUPPLY_ORDER_DATE","The date on which the supply order is placed or planned to be placed. For purchase orders this is the PO creation date.","SUPPLY_ORDER_NUMBER","The order number of the supply.","SUPPLY_ORDER_TYPE","The order type of the supply. For example, On Hand, Work Order, Planner Order.","SUPPLY_ORGANIZATION","The organization corresponding to the supply.","SUPPLY_PEGGED_ORDER_NUMBER","The pegged order number of the supply.","SUPPLY_PROJECT_ID","The Project number of the supply. This is based on the project number of the demand that the supply pegs to.","SUPPLY_QUANTITY","The quantity of the supply planned by VCP in response to the demand.","SUPPLY_SHIP_DATE","The date on which the supply order is planned to ship. This applies to inter-organization shipments.","SUPPLY_START_DATE","The date on which the supply is planned to be started","SUPPLY_UPDATED_ARRIVAL_DATE","This is the arrival date on supplies as updated by Oracle Transportation management.","TASK_ID","The unique identifier of the associated activity.","ItemAssignment","10290616.htm");
Page[5]=new Array("Description: The ParentTask object is used to store the Work Breakdown Structure (WBS) information.","Field","Description","PARENT_TASK_ID","ParentTask element parent.","PARENTTASK_SOURCE_VCP_ID","VCP P6 corresponding source ParentTask ID","PROJECT_ID","Project ID of the associated project.","TASK_ID","Task ID","TASK_NAME","ParentTask Name","TASK_NUMBER","Task Number","ParentTask","10290617.htm");
Page[6]=new Array("Description: A project is a temporary endeavor undertaken to create a unique product, service, or result.","Field","Description","PROJECT_ID","VCP project ID","PROJECT_NAME","Project name.","PROJECT_NUMBER","VCP (P6) project number","PROJECT_SOURCE_VCP_ID","VCP (P6) project ID","Project","10290618.htm");
Page[7]=new Array("Description: A task is a unit of work performed during the course of a project.","Field","Description","EARLIEST_ASSIGNMENT_DATE","VCP earliest assignment date.","ITEM_SELECTION","VCP task selection Yes/ No.","ITEM_SELECTION_CODE","VCP task selection code.","LATEST_ASSIGNMENT_DATE","VCP latest assignment date.","PARENT_TASK_ID","ParentTask element parent.","PROJECT_NUMBER","The project ID in VCP for this activity.","SUPPLY_ACTUAL_START_DATE","The actual date on which the supply is planned to start.","SUPPLY_DOCK_DATE","The date on which a supply order arrives at the receiving dock (applies to purchase orders and inter-organization shipments).","SUPPLY_DUE_DATE","The due date supply information.","SUPPLY_ITEM_DATE","The VCP item ID of the supply item.","SUPPLY_ITEM_ID","The name of the supply item.","SUPPLY_ITEM_NAME","The date on which the supply order is placed/planned to be placed. For purchase orders, this is the PO creation date.","SUPPLY_ORDER_DATE","The order number of the supply.","SUPPLY_ORDER_NUMBER","The order type of the supply. For example, On hand, Workd order, Planner order.","SUPPLY_ORDER_TYPE","The organization corresponding to the supply.","SUPPLY_ORGANIZATION","The pegged order number of the supply.","SUPPLY_PEGGED_ORDER_NUMBER","The quantity of the supply planned by VCP in response to the demand. ","SUPPLY_QUANTITY","The quantity of the supply planned by VCP in response to the demand.","SUPPLY_SHIP_DATE","The date on which the supply order is planned to ship (applies to inter-organization shipments).","SUPPLY_START_DATE","The date on which the supply is planned to start.","SUPPLY_UPDATED_ARRIVAL_DATE","The arrival date on supplies as updated by Oracle transportation management.","TASK_ID","The activity ID in VCP.","TASK_NAME","The task name in VCP.","TASK_SOURCE_VCP_ID","P6 activity ID used for reference as source task ID.","Task","10290619.htm");
Page[8]=new Array("Complete documentation libraries for Primavera Gateway releases are available on the Oracle Technology Network (OTN) at:","http://www.oracle.com/technetwork/documentation/default-1923957.html","From this location you can either view libraries online or download them to have local copies. We recommend viewing them from OTN to ensure you always access the latest versions, including critical corrections and enhancements. ","Primavera Gateway is configured to access its help system on OTN. However, you can also install  a local version when you install the software. ","The documentation assumes a standard setup of the product, with full access rights to all features and functions.","The following table describes the core documents available for Primavera Gateway and lists the recommended readers by role.","Title","Description","Gateway Help","Describes how to work with Primavera Gateway and provides information to help users accomplish tasks.","All users should read the Help.","Gateway Developer's Guide","Provides information on how third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems can create their own providers in order to integrate with Primavera products.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Customization Guide","Provides information on how to customize an existing third-party integration.","Developers interested in customizing existing third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Provider Reference Guide","Provides a list of the business objects available for each supported provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","EBS Provider Reference Guide","Provides a list of the business objects available for the EBS provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","VCP Provider Reference Guide","Provides a list of the business objects available for the VCP provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Manual Deployment Guide","Provides information on how to manually install and configure Primavera Gateway. ","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Installation and Configuration Guide","Provides information on how to install and configure Primavera Gateway. Primavera Gateway is a product that facilitates integrations with Primavera products and third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Upgrade Guide","Provides a sequence of procedures that must be completed to upgrade to a new version of Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Performance and Sizing Guide","Provides hardware and software requirements for deploying Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Security Guide","Provides guidelines on establishing a highly secure environment for all Primavera Gateway environments.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway API Programmer's Guide","Provides instructions on how to access and use Primavera Gateway REST APIs.","The Primavera Gateway network administrator/database administrator and Primavera Gateway users having the Gateway Developer role should read this guide.","Connecting with Instantis EnterpriseTrack","Provides instructions on how to setup the integration environment for Oracle Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Prime and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Prime and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Unifier and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Unifier and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Migrating P6 Data Between Distinct Environments","Provides instructions on how to setup the integration environment between distinct P6 deployments to transfer P6 data in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator should read this guide.","Connecting E-Business Suite","Provides instructions on how to setup the integration environments for Oracle E-Business Suite with P6 Enterprise Project Portfolio Management and Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Value Chain Planning and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Value Chain Planning and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Configuring Gateway for Single Sign On","Provides instructions on how to configure Oracle Access Manager (OAM) and then enable Single Sign On for Primavera Gateway.","The Primavera Gateway network administrator/database administrator should read this guide.","Gateway Licensing Information User Manual","Lists licensing information of all third-party software that is used or associated with the Oracle software program.","Tested Configurations","Lists the configurations that have been tested and verified to work with Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Distributing Information to the Team","You can copy the online documentation to a network drive for access by project participants. Each team member can then view or print those portions that specifically relate to his or her role in the organization.","Throughout this documentation, the Security Guidance icon @ helps you to quickly identify security-related content to consider during the installation and configuration process.","Where to Get Documentation","66101.htm");
Page[9]=new Array("To access comprehensive training for all Primavera products, go to:","http://education.oracle.com","Oracle Learning Library","The Oracle Learning Library (OLL) provides online learning content covering Primavera products. Content includes videos, tutorials, articles, demos, step-by-step instructions to accomplish specific tasks, and self-paced interactive learning modules.<br /><br />To access the learning library&#8217;s Primavera content, go to:","http://www.oracle.com/goto/oll","Where to Get Training","49806.htm");
Page[10]=new Array("If you have a question about using Oracle products that you or your network administrator cannot resolve with information in the documentation or help, click http://support.oracle.com/. This page provides the latest information on contacting Oracle Global Customer Support, knowledge articles, and the support renewals process. For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2 to view Support Tools &amp; Tips.","Access to Oracle Support","Oracle customers have access to electronic support through My Oracle Support. For information, visit http://www.oracle.com/us/support/contact-068555.html or visit http://www.oracle.com/us/corporate/accessibility/support/index.html if you are hearing impaired.","Using Primavera's Support Resource Centers","Primavera&#8217;s Support Resource Center provides links to important support and product information.&nbsp;Primavera's Product Information Centers (PICs) organize documents found on My Oracle Support (MOS), providing quick access to product and version specific information such as important knowledge documents, Release Value Propositions, and Oracle University training. PICs also offer documentation on Lifetime Management, from planning to installs, upgrades, and maintenance.","Visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=1486951.1 to access links to all of the current PICs.","PICs also provide access to:","Communities are moderated by Oracle providing a place for collaboration among industry peers to share best practices.","News from our development and strategy groups.","Education contains a list of available Primavera product trainings through Oracle University.&nbsp;The Oracle Advisor Webcast program brings interactive expertise straight to the desktop using Oracle Web Conferencing technology. This capability brings you and Oracle experts together to access information about support services, products, technologies, best practices, and more.","For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2.","Where to Get Support","6718.htm");
Page[11]=new Array("For information about Oracle's commitment to accessibility, visit the Oracle Accessibility Program website at http://www.oracle.com/pls/topic/lookup?ctx=acc&amp;id=docacc.","Documentation Accessibility","49261.htm");
Page[12]=new Array("EmbeddedTopicstartCopyright © 2013, 2015, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &#8220;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=13;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}