define(['oui', 'primutils'], function (oui, primutils) {
    'use strict';

    return function () {
        primutils.registerGlobalHandlebarsImports();
        primutils.lang({
            templates : {
                moreOptions : 'More Options'
            },
            dialogs : {
                ok: 'Ok',
                cancel: 'Cancel',
                close: 'Close',
                yes: 'Yes',
                no: 'No',
                additionalInfo: 'Additional Information',
                dontShowAgain: 'Do not show again',
                cancelMessage: 'Are you sure you want to cancel your changes?',
                serverValidationError: 'An error occurred',
                required: '{0} is a required field.',
                savingInProgress: 'Now Saving',
                savingCompleted: 'Saving Complete'
            },
            dialogTitles : {
                alert : 'Alert',
                prompt : 'Prompt',
                confirm : 'Confirm',
                cancel : 'Cancel Changes',
                loading : 'Loading...',
                saving : 'Saving'
            },
            changeBar : {
                save : 'Save',
                cancel : 'Cancel',
                errorsWithCounter : 'Errors ({0})',
                errors : 'Errors',
                error : 'Error'
            },
            panel : {
                tabsMenu : 'Show/Hide Tabs',
                scrollLeft : 'Scroll Left',
                scrollRight : 'Scroll Right',
                collapse : 'Collapse',
                expand : 'Expand'
            },
            dock : {
                collapse : 'Collapse Dock',
                expand : 'Expand Dock',
                dockRight : 'Dock Right',
                dockBottom : 'Dock Bottom'
            },
            search : {
                search : 'Search',
                clear : 'Clear Search'
            }
        });

        oui.lang({
            test : "Test Connection"
        });
    };
});
